Subject: GNU make/Cygwin b19.1+ test script
From: [email-masked] (Larry H)

28 May 1998 10:28:36 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]

hi,

below is a make script which demonstrates some of the problems I
encountered using GNU make v.3.76.1 (compiled with build_w32.bat using
MS VC++; unchanged source from gnu.org) via the Cygwin32 B19.1+ Bash
shell (Sergey's dll) on NT4.0 (SP3).  

can you replicate the results mentioned in the script?    

if you can, I'll send this on to the appropriate bug lists. 
otherwise, let me know what differences you see (output of my env is
below the script).

the script expects a known directory structure for some "cd" examples,
so put it in the default Cygnus install directory /Cygnus, in file
"ShellTest.gmk" or thereabouts, and call it within CYGWIN32:
	bash-2.01$ cd /Cygnus
	bash-2.01$ gnumake -f ShellTest.gmk ATest 
	bash-2.01$ gnumake -f ShellTest.gmk HangTest

I can provide gnumake.exe if you like, although that's one of the
variables I'm wondering about.  Important: gnumake.exe seems to need
to be put inside the cygnus/.../bin directory.

thanks,

larry

---------------------
# 
# following are test targets intended to expose problems experienced
with 
# GNU make 3.76.1 in combination with CYGWIN bash 19.1+ on NT.  
#  
# put this file in the /Cygnus directory and call it within CYGWIN32
with
# gnumake -f ShellTest.gmk ATest
# gnumake -f ShellTest.gmk HangTest
#
# larry, 5/27/98  [email-masked]
#

ATest:
	@echo #
	@echo # These seem to be GNUmake/Cygwin bugs on NT:
	@echo #
	@echo # a cd beyond more than one subdirectory fails 
	@echo # to make it all the way:
	@echo #
	cd B19/H-i386-cygwin32/ && pwd 
	@echo #
	@echo a cd into an absolute dir is unpredictable
	@echo #
	cd C:/Cygnus/B19/H-i386-cygwin32/ && pwd
	cd E:/jdk1.1.6/bin && pwd
	@echo #
	@echo a cd using a mounted drive may fail
	@echo #
	cd $(shell pwd)/B19/H-i386~1/
	@echo #
	@echo # However cd one level down works:
	cd B19 && pwd
	@echo #
	@echo # comments can get attached to commands:
	pwd # comment
	@echo #
	@echo # attached semicolon isn't parsed; separate semicolon doesn't
work either
	cd B19;	
	cd B19 ; pwd 
	@echo # instead, use "&&" (see example above)
	@echo #
	@echo # following javac line doesn't work because .java file spec
must have 
	@echo # double backslashes for Cygwin bash translation 
	@echo # (javac expectation of backslashes?)
	@echo #
	e:/jdk1.1.6/bin/javac -d d:/sourceCVS/himss/classes -deprecation
-classpath
d:/sourceCVS/himss/classes;d:/Visigenic/vbroker/lib/vbjorb.jar;e:/jdk1.1.6/lib/classes.zip
"com/philips/ms/miracle/idl/Ekg/*.java"
	@echo # 
	@echo # setting variables via shell doesn't work
	@echo #
	CLASSPATH=" "  && export CLASSPATH  
	export CLASSPATH=" "
	@echo # 
	@echo # unset will cause gnumake to exit
	@echo #
	unset CLASSPATH

HangTest:
	@echo #
	@echo # These seem to hang GNUmake/Cygwin on NT:
	@echo #
	@echo # some shell calls will hang NT
	@echo #
	@echo $(shell date) 
	@echo #
	@echo # important: never leave tabs at the front of an "empty" line,
or a comment--GNU make NT will hang

	#comment with a tab in front

---------------------
!! NOT PART OF MAKE SCRIPT !!
bash-2.01$ env

!C:=C:\sourceCVS\himss
CLASSPATH=.;d:\jdk1.1.6\lib\classes.zip;d:\visigenic\vbroker\lib\vbjorb.jar;d:\visigenic\vbroker\lib\vbjapp.jar;d:\visigenic\vbroker\lib\vbjtools.jar;d:\visigenic\vbroker\lib\vbjcosev.jar;d:\orbixweb2.0.1\classes;d:\oracleJDBC\lib\classes111.zip;
COMPUTERNAME=LARRYSPC
COMSPEC=C:\WINNT\system32\cmd.exe
CVSROOT=m:\repository
CVS_WORK_DIR=d:/sourceCVS
CYGFS=C:/Cygnus/B19
CYGREL=B19
CYGROOT=C:\Cygnus\B19
DIRCMD=/oeng/p/a
GCC_EXEC_PREFIX=C:\Cygnus\B19\H-i386-cygwin32\lib\gcc-lib\
GDBTK_LIBRARY=C:/Cygnus/B19/share/gdbtcl
HOME=/d/sourceCVS/himss
HOMEDRIVE=C:
HOMEPATH=\
HOSTNAME=LARRYSPC
HOSTTYPE=i386
IT_CONFIG_PATH=d:\OrbixWeb2.0.1
JAVAHOME=e:\jdk1.1.6
JAVAORB=d:\OrbixWeb2.0.1
JAVA_HOME=e:/jdk1.1.6
LOGONSERVER=\\LARRYSPC
MACHTYPE=i386-pc-cygwin32
MAKE_MODE=unix
NUMBER_OF_PROCESSORS=1
OS2LIBPATH=C:\WINNT\system32\os2\dll;
OS=Windows_NT
OSTYPE=cygwin32
PATH=/Cygnus/B19/H-i386-cygwin32/bin:/WINNT/system32:/WINNT:/d/JDK11~1.6/bin:/d/VISIGE~1/vbroker/bin:/d/ORBIXW~1.1/bin:/d/cvs:/PROGRA~1/winzip:/d/SUPERC~1/bin://e/perl/bin:.:.
PATHEXT=.COM;.EXE;.BAT;.CMD
PATHFORSHELLS=C:\MKSDemo\mksnt;c:\cygnus\b19\H-I386~1\bin;
PROCESSOR_ARCHITECTURE=x86
PROCESSOR_IDENTIFIER=x86 Family 5 Model 4 Stepping 3, GenuineIntel
PROCESSOR_LEVEL=5
PROCESSOR_REVISION=0403
PROMPT=$P$G
ROOTDIR=C:/MKSDemo
SHELL=c:\cygnus\b19\H-I386~1\bin\bash.exe
SHELLFORMKS=C:/MKSDemo/mksnt/sh.exe
SHLVL=1
SYSTEMDRIVE=C:
SYSTEMROOT=C:\WINNT
TCL_LIBRARY=C:\Cygnus\B19\share\tcl8.0\
TEMP=C:\TEMP
TERM=dumb
TMP=C:\TEMP
TMPDIR=C:/TEMP
USERDOMAIN=LARRYSPC
USERNAME=larryh
USERPROFILE=C:\WINNT\Profiles\larryh
VBJ_HOME=d:/Visigenic/vbroker
WEB_DIR=d:/built
WINDIR=C:\WINNT
_=/Cygnus/B19/H-i386-cygwin32/bin/env

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".